## pcmanfm-qt 0.16.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.0 FATAL_ERROR)
# CMP0000: Call the cmake_minimum_required() command at the beginning of the top-level
# CMakeLists.txt file even before calling the project() command.
# The cmake_minimum_required(VERSION) command implicitly invokes the cmake_policy(VERSION)
# command to specify that the current project code is written for the given range of CMake
# versions.
project(pcmanfm-qt)

# PcmanFm-Qt Version
set(PCMANFM_QT_VERSION_MAJOR 0)
set(PCMANFM_QT_VERSION_MINOR 16)
set(PCMANFM_QT_VERSION_PATCH 0)

set(PCMANFM_QT_VERSION ${PCMANFM_QT_VERSION_MAJOR}.${PCMANFM_QT_VERSION_MINOR}.${PCMANFM_QT_VERSION_PATCH})

# Minimum versions
set(LIBFMQT_MINIMUM_VERSION "0.16.0")
set(LXQTBT_MINIMUM_VERSION "0.8.0")
set(QT_MINIMUM_VERSION "5.12.0")

list(APPEND CMAKE_MODULE_PATH "${PROJECT_SOURCE_DIR}/cmake")

find_package(Qt5DBus ${QT_MINIMUM_VERSION} REQUIRED)
find_package(Qt5LinguistTools ${QT_MINIMUM_VERSION} REQUIRED)
find_package(Qt5Widgets ${QT_MINIMUM_VERSION} REQUIRED)
find_package(Qt5X11Extras ${QT_MINIMUM_VERSION} REQUIRED)
find_package(fm-qt ${LIBFMQT_MINIMUM_VERSION} REQUIRED)
find_package(lxqt-build-tools ${LXQTBT_MINIMUM_VERSION} REQUIRED)

message(STATUS "Building ${PROJECT_NAME} with Qt ${Qt5Core_VERSION}")

option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
include(GNUInstallDirs)
include(LXQtPreventInSourceBuilds)
include(LXQtConfigVars)
include(LXQtTranslateTs)
include(LXQtTranslateDesktop)
include(LXQtCompilerSettings NO_POLICY_SCOPE)

set(CMAKE_AUTOMOC TRUE)
set(CMAKE_AUTOUIC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

add_subdirectory(pcmanfm)

# manpage for pcmanfm-qt
configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/pcmanfm-qt.1.in"
    "${CMAKE_CURRENT_BINARY_DIR}/pcmanfm-qt.1"
    @ONLY
)
install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/pcmanfm-qt.1"
    DESTINATION "${CMAKE_INSTALL_MANDIR}/man1"
)

# add Doxygen support to generate API docs
# References:
# http://majewsky.wordpress.com/2010/08/14/tip-of-the-day-cmake-and-doxygen/
# http://www.bluequartz.net/projects/EIM_Segmentation/SoftwareDocumentation/html/usewithcmakeproject.html
option(BUILD_DOCUMENTATION "Use Doxygen to create the HTML based API documentation" OFF)
if(BUILD_DOCUMENTATION)
    find_package(Doxygen REQUIRED)
    configure_file("${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile.in" "${CMAKE_CURRENT_BINARY_DIR}/Doxyfile" @ONLY)
    add_custom_target(doc ALL
        ${DOXYGEN_EXECUTABLE} "${CMAKE_CURRENT_BINARY_DIR}/Doxyfile"
        WORKING_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}"
        COMMENT "Generating API documentation with Doxygen" VERBATIM
    )
    install(DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/docs" DESTINATION "${CMAKE_INSTALL_DOCDIR}")
endif()

add_subdirectory(autostart)
add_subdirectory(config)

=== pcmanfm/CMakeLists.txt ===
set(pcmanfm_SRCS
    application.cpp
    pcmanfm.cpp
    mainwindow.cpp
    tabpage.cpp
    tabbar.cpp
    statusbar.cpp
    view.cpp
    launcher.cpp
    preferencesdialog.cpp
    xdgdir.cpp
    desktoppreferencesdialog.cpp
    desktopwindow.cpp
    autorundialog.cpp
    connectserverdialog.cpp
    settings.cpp
    bulkrename.cpp
    desktopentrydialog.cpp
)

qt5_add_dbus_adaptor(pcmanfm_DBUS_SRCS
    org.pcmanfm.Application.xml
    application.h
    PCManFM::Application
    applicationadaptor
    ApplicationAdaptor
)

# qt5_add_dbus_adaptor() already generated the moc files. It also marked the
# files with SKIP_AUTOMOC but we still need to mark them witk SKIP_AUTOGEN.
# TODO: Check if this behaviour is a CMake bug.
set_source_files_properties(${pcmanfm_DBUS_SRCS} PROPERTIES SKIP_AUTOGEN ON)

set(pcmanfm_UIS
    main-win.ui
    about.ui
    shortcuts.ui
    preferences.ui
    desktop-preferences.ui
    desktop-folder.ui
    autorun.ui
    connect.ui
    bulk-rename.ui
    desktopentrydialog.ui
)

# add translation for pcmanfm-qt
lxqt_translate_ts(QM_FILES
    UPDATE_TRANSLATIONS ${UPDATE_TRANSLATIONS}
    SOURCES ${pcmanfm_SRCS} ${pcmanfm_UIS}
    INSTALL_DIR "${CMAKE_INSTALL_DATADIR}/${PROJECT_NAME}/translations"
)

# translate desktop entry files for pcmanfm-qt and desktop preferences
lxqt_translate_desktop(DESKTOP_FILES
    SOURCES
        pcmanfm-qt.desktop.in
        pcmanfm-qt-desktop-pref.desktop.in
)

add_executable(pcmanfm-qt
    ${pcmanfm_SRCS}
    ${pcmanfm_DBUS_SRCS}
    ${pcmanfm_UIS}
    ${QM_FILES}
    ${DESKTOP_FILES}
)

target_compile_definitions(pcmanfm-qt
    PRIVATE
        PCMANFM_DATA_DIR="${CMAKE_INSTALL_PREFIX}/share/pcmanfm-qt"
        PCMANFM_QT_VERSION="${PCMANFM_QT_VERSION}"
        LIBFM_DATA_DIR="${PKG_FM_PREFIX}/share/libfm"
)

target_include_directories(pcmanfm-qt
    PRIVATE
        "${Qt5Gui_PRIVATE_INCLUDE_DIRS}"
)

target_link_libraries(pcmanfm-qt
    Qt5::X11Extras
    Qt5::Widgets
    Qt5::DBus
    fm-qt
)

install(TARGETS pcmanfm-qt RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})

# install a desktop entry file for pcmanfm-qt and desktop preferences
install(FILES ${DESKTOP_FILES} DESTINATION "${CMAKE_INSTALL_DATADIR}/applications"
)

# prevent the generated files from being deleted during make clean
set_directory_properties(PROPERTIES CLEAN_NO_CUSTOM true)

=== pcmanfm/translations/CMakeLists.txt ===
project(pcmanfm-qt)

build_component("." "${CMAKE_INSTALL_FULL_DATADIR}/pcmanfm-qt/translations")

=== debian/changelog ===
pcmanfm-qt (0.16.0-1ubuntu2) hirsute; urgency=low

  [ Raman Sarda ]
  * New upstream version.
  * Bump debhelper-compat requirement to 13.
  * Drop empty series file.
  * Update dependencies.

 -- Raman Sarda <theloudspeaker@disroot.org>  Mon, 22 Feb 2021 01:37:46 +0530

pcmanfm-qt (0.16.0-1) unstable; urgency=medium

  [ Alf Gaida ]
  * Switched to gbp
  * Bumped Standards-Version to 4.4.0, no changes needed

  [ Debian Janitor ]
  * Fix field name typo in debian/upstream/metadata (Repository-Browser =>
    Repository-Browse).
  * Set upstream metadata fields: Repository.
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).
  * Update standards version to 4.5.0, no changes needed.

  [ Andrew Lee (李健秋) ]
  * New upstream release. (Closes: #978174)

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Thu, 07 Jan 2021 17:33:42 +0800

pcmanfm-qt (0.14.1-3) unstable; urgency=medium

  * Enhanched the fix and included pcmanfm/settings.cpp - the fallback
    settings.

 -- Alf Gaida <agaida@siduction.org>  Sun, 12 May 2019 01:41:32 +0200

pcmanfm-qt (0.14.1-2) unstable; urgency=medium

  * Starting pcmanfm-qt as root session need a running dbus user-session
    Bug was: pcmanfm-qt does not start as root on Debian live (Closes: #928818)
    Thanks  adrian15 <adrian15sgd@gmail.com> for spotting this.

 -- Alf Gaida <agaida@siduction.org>  Sat, 11 May 2019 20:38:43 +0200

pcmanfm-qt (0.14.1-1) unstable; urgency=medium

  * Cherry-picking upstream release 0.14.1.
  * Bumped minimum version libfm-qt-dev (>= 0.14.1~)
  * Depend now on libfm-qt6 (>= 0.14.1~)
  * Improved the description of the language package

 -- Alf Gaida <agaida@siduction.org>  Sun, 24 Feb 2019 23:23:24 +0100

pcmanfm-qt (0.14.0-1) unstable; urgency=medium

  * Cherry-picking upstream release 0.14.0.
  * Bumped Standards to 4.3.0, no changes needed
  * Dropped d/compat, use debhelper-compat = 12, no changes needed
  * Fixed years in d/copyright
  * Bumped minimum version libfm-qt-dev (>= 0.14.0~)
  * Bumped minimum version lxqt-build-tools (>= 0.6.0~)
  * Depend now on libfm-qt6 (>= 0.14.0~)
  * Removed obsolete PULL_TRANSLATIONS= OFF from dh_auto_configure
  * Added Build-Depends-Package field to symbols
  * Added l10n-package, moved from lxqt-l10n
  * Added d/upstream/metadata

 -- Alf Gaida <agaida@siduction.org>  Sun, 27 Jan 2019 19:40:51 +0100

=== debian/control ===
Source: pcmanfm-qt
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>,
           Shih-Yuan Lee (FourDollars) <fourdollars@gmail.com>,
           Yuan CHAO <yuanchao@gmail.com>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libexif-dev,
               libfm-qt-dev (>= 0.16.0~),
               libkf5windowsystem-dev,
               libmenu-cache-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libx11-dev,
               lxqt-build-tools (>= 0.8.0~)
Standards-Version: 4.5.0
Vcs-Browser: https://phab.lubuntu.me/source/pcmanfm-qt/
Vcs-Git: https://phab.lubuntu.me/source/pcmanfm-qt.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/pcmanfm-qt
XS-Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/pcmanfm-qt.git
Homepage: https://github.com/lxqt/pcmanfm-qt

Package: pcmanfm-qt
Architecture: any
Depends: default-dbus-session-bus | dbus-session-bus | dbus-x11,
         desktop-file-utils,
         libfm-qt8 (>= 0.16.0~),
         lxqt-sudo
Recommends: eject,
            ffmpegthumbnailer,
            gvfs-backends,
            gvfs-fuse,
            lximage-qt,
            lxqt-policykit,
            lxqt-qtplugin,
            papirus-icon-theme | breeze-icon-theme | faenza-icon-theme | oxygen-icon-theme,
            pcmanfm-qt-l10n
Suggests: cdtool [linux-any]
Breaks: lxqt-common (<< 0.12.0)
Replaces: lxqt-common (<< 0.12.0)
Description: extremely fast and lightweight file and desktop icon manager
 PCManFM-Qt is the Qt port of the LXDE file manager PCManFM.
 .
 Libfm-Qt is a companion library providing components to build desktop file
 managers.

Package: pcmanfm-qt-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: qttranslations5-l10n, ${misc:Depends}
Breaks: pcmanfm-qt (<< 0.11.1)
Replaces: pcmanfm-qt (<< 0.11.1)
Description: Language package for pcmanfm-qt
 This package contains the l10n files needed by pcmanfm-qt.

## pcmanfm-qt 0.17.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,14 +8,14 @@
 
 # PcmanFm-Qt Version
 set(PCMANFM_QT_VERSION_MAJOR 0)
-set(PCMANFM_QT_VERSION_MINOR 16)
+set(PCMANFM_QT_VERSION_MINOR 17)
 set(PCMANFM_QT_VERSION_PATCH 0)
 
 set(PCMANFM_QT_VERSION ${PCMANFM_QT_VERSION_MAJOR}.${PCMANFM_QT_VERSION_MINOR}.${PCMANFM_QT_VERSION_PATCH})
 
 # Minimum versions
-set(LIBFMQT_MINIMUM_VERSION "0.16.0")
-set(LXQTBT_MINIMUM_VERSION "0.8.0")
+set(LIBFMQT_MINIMUM_VERSION "0.17.0")
+set(LXQTBT_MINIMUM_VERSION "0.9.0")
 set(QT_MINIMUM_VERSION "5.12.0")
 
 list(APPEND CMAKE_MODULE_PATH "${PROJECT_SOURCE_DIR}/cmake")

=== pcmanfm/CMakeLists.txt ===
--- 
+++ 
@@ -56,6 +56,7 @@
     SOURCES
         pcmanfm-qt.desktop.in
         pcmanfm-qt-desktop-pref.desktop.in
+    USE_YAML
 )
 
 add_executable(pcmanfm-qt

=== debian/changelog ===
pcmanfm-qt (0.17.0-0ubuntu1) impish; urgency=medium

  * New upstream release 0.17.0
  * Update debian/control
    - Use libfm-qt 0.17.1
    - Use lxqt-build-tools 0.9.0
    - Bump Standards-Version to 4.5.1
    - Readd ${misc:Depends} and ${shlibs:Depends}
    - Extend description of pcmanfm-qt-l10n
  * Update debian/copyright

 -- apt-ghetto <apt-ghetto@protonmail.com>  Tue, 10 Aug 2021 15:28:47 +0200

=== debian/control ===
--- 
+++ 
@@ -10,14 +10,14 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                libexif-dev,
-               libfm-qt-dev (>= 0.16.0~),
+               libfm-qt-dev (>= 0.17.1),
                libkf5windowsystem-dev,
                libmenu-cache-dev,
                libqt5svg5-dev,
                libqt5x11extras5-dev,
                libx11-dev,
-               lxqt-build-tools (>= 0.8.0~)
-Standards-Version: 4.5.0
+               lxqt-build-tools (>= 0.9.0)
+Standards-Version: 4.5.1
 Vcs-Browser: https://phab.lubuntu.me/source/pcmanfm-qt/
 Vcs-Git: https://phab.lubuntu.me/source/pcmanfm-qt.git
 XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/pcmanfm-qt
@@ -28,8 +28,10 @@
 Architecture: any
 Depends: default-dbus-session-bus | dbus-session-bus | dbus-x11,
          desktop-file-utils,
-         libfm-qt8 (>= 0.16.0~),
-         lxqt-sudo
+         libfm-qt9 (>= 0.17.1),
+         lxqt-sudo,
+         ${misc:Depends},
+         ${shlibs:Depends}
 Recommends: eject,
             ffmpegthumbnailer,
             gvfs-backends,
@@ -56,4 +58,6 @@
 Breaks: pcmanfm-qt (<< 0.11.1)
 Replaces: pcmanfm-qt (<< 0.11.1)
 Description: Language package for pcmanfm-qt
+ PCManFM-Qt is the Qt port of the LXDE file manager PCManFM.
+ .
  This package contains the l10n files needed by pcmanfm-qt.

## pcmanfm-qt 1.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,16 +7,16 @@
 project(pcmanfm-qt)
 
 # PcmanFm-Qt Version
-set(PCMANFM_QT_VERSION_MAJOR 0)
-set(PCMANFM_QT_VERSION_MINOR 17)
+set(PCMANFM_QT_VERSION_MAJOR 1)
+set(PCMANFM_QT_VERSION_MINOR 1)
 set(PCMANFM_QT_VERSION_PATCH 0)
 
 set(PCMANFM_QT_VERSION ${PCMANFM_QT_VERSION_MAJOR}.${PCMANFM_QT_VERSION_MINOR}.${PCMANFM_QT_VERSION_PATCH})
 
 # Minimum versions
-set(LIBFMQT_MINIMUM_VERSION "0.17.0")
-set(LXQTBT_MINIMUM_VERSION "0.9.0")
-set(QT_MINIMUM_VERSION "5.12.0")
+set(LIBFMQT_MINIMUM_VERSION "1.1.0")
+set(LXQTBT_MINIMUM_VERSION "0.11.0")
+set(QT_MINIMUM_VERSION "5.15.0")
 
 list(APPEND CMAKE_MODULE_PATH "${PROJECT_SOURCE_DIR}/cmake")

=== debian/changelog ===
pcmanfm-qt (1.1.0-2~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 30 Aug 2022 17:15:22 -0700

pcmanfm-qt (1.1.0-2) experimental; urgency=medium

  * Removed redundant "Repository-Browse" field from debian/upstream/metadata.
  * Upstreamed compatible Ubuntu changes, modifying the following files:
    - control
    - copyright
    - lintian-overrides
    - rules
    - upstream/signing-key.asc
    - patches directory

 -- Aaron Rainbolt <arraybolt3@gmail.com>  Fri, 15 Jul 2022 04:57:59 -0500

pcmanfm-qt (1.1.0-1) experimental; urgency=medium

  * New upstream version 1.0.0
  * Add debian/salsa-ci.yml file.
  * Update debian/upstream/signing-key.asc.
  * New upstream version 1.1.0
  * Build-deps on lxqt-build-tools (>= 1.1.0~).
  * Build-deps on libfm-qt-dev (>= 1.1.0~).
  * Depends on libfm-qt11 (>= 1.1.0~).
  * Drop obsoleted lxqt-common and pcmanfm-qt from Breaks and Replaces.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Wed, 13 Jul 2022 03:37:37 +0800

=== debian/control ===
Source: pcmanfm-qt
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>,
           Shih-Yuan Lee (FourDollars) <fourdollars@gmail.com>,
           Yuan CHAO <yuanchao@gmail.com>,
           Simon Quigley <tsimonq2@debian.org>,
           Aaron Rainbolt <arraybolt3@gmail.com>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libexif-dev,
               libfm-qt-dev (>= 1.1.0),
               libkf5windowsystem-dev,
               libmenu-cache-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libx11-dev,
               lxqt-build-tools (>= 0.11.0)
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/lxqt-team/pcmanfm-qt
Vcs-Git: https://salsa.debian.org/lxqt-team/pcmanfm-qt.git
Homepage: https://github.com/lxqt/pcmanfm-qt
Rules-Requires-Root: no

Package: pcmanfm-qt
Architecture: any
Depends: default-dbus-session-bus | dbus-session-bus | dbus-x11,
         desktop-file-utils,
         libfm-qt11 (>= 1.1.0~),
         lxqt-sudo,
         ${misc:Depends},
         ${shlibs:Depends},
            eject,
            ffmpegthumbnailer,
            gvfs-backends,
            gvfs-fuse,
            lximage-qt,
            lxqt-policykit,
            lxqt-qtplugin,
            papirus-icon-theme | breeze-icon-theme | faenza-icon-theme | oxygen-icon-theme,
            pcmanfm-qt-l10n
Suggests: cdtool [linux-any]
Description: extremely fast and lightweight file and desktop icon manager
 PCManFM-Qt is the Qt port of the LXDE file manager PCManFM.
 .
 Libfm-Qt is a companion library providing components to build desktop file
 managers.

Package: pcmanfm-qt-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: qttranslations5-l10n, ${misc:Depends}
Description: Language package for pcmanfm-qt
 PCManFM-Qt is the Qt port of the LXDE file manager PCManFM.
 .
 This package contains the l10n files needed by pcmanfm-qt.

=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE=1

export LC_ALL=C.UTF-8
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh ${@} --buildsystem cmake

override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_configure:
	dh_auto_configure -- \
		-DUPDATE_TRANSLATIONS=OFF \
		-DCMAKE_BUILD_TYPE=RelWithDebInfo

# No dbgsym package:
override_dh_strip:
	dh_strip --no-automatic-dbgsym

## pcmanfm-qt 1.2.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,14 +8,14 @@
 
 # PcmanFm-Qt Version
 set(PCMANFM_QT_VERSION_MAJOR 1)
-set(PCMANFM_QT_VERSION_MINOR 1)
-set(PCMANFM_QT_VERSION_PATCH 0)
+set(PCMANFM_QT_VERSION_MINOR 2)
+set(PCMANFM_QT_VERSION_PATCH 1)
 
 set(PCMANFM_QT_VERSION ${PCMANFM_QT_VERSION_MAJOR}.${PCMANFM_QT_VERSION_MINOR}.${PCMANFM_QT_VERSION_PATCH})
 
 # Minimum versions
-set(LIBFMQT_MINIMUM_VERSION "1.1.0")
-set(LXQTBT_MINIMUM_VERSION "0.11.0")
+set(LIBFMQT_MINIMUM_VERSION "1.2.1")
+set(LXQTBT_MINIMUM_VERSION "0.12.0")
 set(QT_MINIMUM_VERSION "5.15.0")
 
 list(APPEND CMAKE_MODULE_PATH "${PROJECT_SOURCE_DIR}/cmake")

=== pcmanfm/CMakeLists.txt ===
--- 
+++ 
@@ -24,6 +24,14 @@
     PCManFM::Application
     applicationadaptor
     ApplicationAdaptor
+)
+
+qt5_add_dbus_adaptor(pcmanfm_DBUS_SRCS
+    org.freedesktop.FileManager1.xml
+    application.h
+    PCManFM::Application
+    applicationadaptorfreedesktopfilemanager
+    ApplicationAdaptorFreeDesktopFileManager
 )
 
 # qt5_add_dbus_adaptor() already generated the moc files. It also marked the

=== debian/changelog ===
pcmanfm-qt (1.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.2.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Thu, 05 Jan 2023 00:48:29 +0800

pcmanfm-qt (1.2.0-3) unstable; urgency=medium

  * Merge to unstable.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 03 Dec 2022 01:16:31 +0800

pcmanfm-qt (1.2.0-2) experimental; urgency=medium

  * Fix Depends.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Thu, 01 Dec 2022 00:36:06 +0800

pcmanfm-qt (1.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Update d/watch for GitHub.
  * Sort d/copyright.
  * Remove unnecessary patches.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Wed, 30 Nov 2022 17:18:48 +0800

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: pcmanfm-qt
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
+Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
 Uploaders: Alf Gaida <agaida@siduction.org>,
            ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
            Andrew Lee (李健秋) <ajqlee@debian.org>,
@@ -12,14 +11,14 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                libexif-dev,
-               libfm-qt-dev (>= 1.1.0),
+               libfm-qt-dev (>= 1.2.1~),
                libkf5windowsystem-dev,
                libmenu-cache-dev,
                libqt5svg5-dev,
                libqt5x11extras5-dev,
                libx11-dev,
-               lxqt-build-tools (>= 0.11.0)
-Standards-Version: 4.6.1
+               lxqt-build-tools (>= 0.12.0~)
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/lxqt-team/pcmanfm-qt
 Vcs-Git: https://salsa.debian.org/lxqt-team/pcmanfm-qt.git
 Homepage: https://github.com/lxqt/pcmanfm-qt
@@ -27,13 +26,13 @@
 
 Package: pcmanfm-qt
 Architecture: any
-Depends: default-dbus-session-bus | dbus-session-bus | dbus-x11,
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+         default-dbus-session-bus | dbus-session-bus | dbus-x11,
          desktop-file-utils,
-         libfm-qt11 (>= 1.1.0~),
-         lxqt-sudo,
-         ${misc:Depends},
-         ${shlibs:Depends},
-            eject,
+         libfm-qt12,
+         lxqt-sudo
+Recommends: eject,
             ffmpegthumbnailer,
             gvfs-backends,
             gvfs-fuse,
@@ -53,7 +52,8 @@
 Architecture: all
 Multi-Arch: foreign
 Section: localization
-Depends: qttranslations5-l10n, ${misc:Depends}
+Depends: ${misc:Depends},
+         qttranslations5-l10n
 Description: Language package for pcmanfm-qt
  PCManFM-Qt is the Qt port of the LXDE file manager PCManFM.
  .

## pcmanfm-qt 1.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,14 +8,14 @@
 
 # PcmanFm-Qt Version
 set(PCMANFM_QT_VERSION_MAJOR 1)
-set(PCMANFM_QT_VERSION_MINOR 2)
-set(PCMANFM_QT_VERSION_PATCH 1)
+set(PCMANFM_QT_VERSION_MINOR 3)
+set(PCMANFM_QT_VERSION_PATCH 0)
 
 set(PCMANFM_QT_VERSION ${PCMANFM_QT_VERSION_MAJOR}.${PCMANFM_QT_VERSION_MINOR}.${PCMANFM_QT_VERSION_PATCH})
 
 # Minimum versions
-set(LIBFMQT_MINIMUM_VERSION "1.2.1")
-set(LXQTBT_MINIMUM_VERSION "0.12.0")
+set(LIBFMQT_MINIMUM_VERSION "1.3.0")
+set(LXQTBT_MINIMUM_VERSION "0.13.0")
 set(QT_MINIMUM_VERSION "5.15.0")
 
 list(APPEND CMAKE_MODULE_PATH "${PROJECT_SOURCE_DIR}/cmake")

=== debian/changelog ===
pcmanfm-qt (1.3.0-0ubuntu1) mantic; urgency=medium

  * New upstream release.
  * Bump build dependencies.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 11 Aug 2023 09:52:17 -0500

pcmanfm-qt (1.2.1-0ubuntu3) lunar; urgency=medium

  * Made the General tab in Desktop Preferences the default tab again.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Tue, 07 Mar 2023 12:35:39 -0600

pcmanfm-qt (1.2.1-0ubuntu2) lunar; urgency=medium

  * Put the Lubuntu Manual checkbox where it belongs in the Desktop
    Preferences window. (LP: #1998528)
  * Make the Lubuntu Manual checkbox behave correctly (if the shortcut is
    present, it should be checked, if the shortcut is missing, it should be
    unchecked).
  * Make the context menu of the Lubuntu Manual shortcut on the desktop behave
    like the other special shortcuts (Home, Trash, Computer, Network).

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Thu, 02 Mar 2023 17:41:45 -0600

pcmanfm-qt (1.2.1-0ubuntu1) lunar; urgency=medium

  * New upstream release.
  * Updated copyright file.
  * Bumped Standards-Version to 4.6.2, no changes necessary.
  * Bumped build dependency for libfm-qt.
  * Removed obsolete '-Wl,--as-needed' linker flag.
  * Added 'Rules-Requires-Root: no' to debian/control.
  * Removed trailing whitespace from changelog.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Fri, 27 Jan 2023 15:55:12 -0600

pcmanfm-qt (1.2.0-0ubuntu1) lunar; urgency=medium

  * New upstream release.
  * Fix the watch file, for real this time.
  * Lubuntuify the package slightly, to make debhelper happy.
  * Bump Standards-version to 4.6.1, no changes needed.
  * Bump build dependencies in debian/control.
  * Remove reverse-applicable upstream patches.
  * Brief copyright update.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 18 Nov 2022 18:55:38 -0600

pcmanfm-qt (1.1.0-0ubuntu4) kinetic; urgency=medium

  * Backport some upstream patches:
    - Prevent an empty desktop path.
      + https://github.com/lxqt/pcmanfm-qt/pull/1601
      + https://github.com/lxqt/pcmanfm-qt/commit/f1438b
    - Allow customizing workspace margins on desktop.
      + https://github.com/lxqt/pcmanfm-qt/pull/1606
      + https://github.com/lxqt/pcmanfm-qt/commit/1151f4

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 22 Jun 2022 00:03:18 -0500

pcmanfm-qt (1.1.0-0ubuntu3) kinetic; urgency=medium

  * Create a new patch from thin air (woah, shiny!) which adds the Lubuntu
    Manual as an optional desktop shortcut. Spread the good work Lyn has been
    doing for a few years now. :)

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 16 Jun 2022 23:06:52 -0400

pcmanfm-qt (1.1.0-0ubuntu2) kinetic; urgency=medium

  * Cherry-pick upstream commit fixing some scaling oddities:
    - https://github.com/lxqt/pcmanfm-qt/commit/c84434
    - https://github.com/lxqt/pcmanfm-qt/issues/1595

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 08 Jun 2022 19:05:41 -0500

pcmanfm-qt (1.1.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release.
  * Update build dependencies and remove some old Breaks/Replaces.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 02 Jun 2022 09:35:43 -0500

=== debian/control ===
Source: pcmanfm-qt
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>,
           Shih-Yuan Lee (FourDollars) <fourdollars@gmail.com>,
           Yuan CHAO <yuanchao@gmail.com>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libexif-dev,
               libfm-qt-dev (>= 1.3.0),
               libkf5windowsystem-dev,
               libmenu-cache-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libx11-dev,
               lxqt-build-tools (>= 0.13.0)
Standards-Version: 4.6.2
Vcs-Browser: https://git.lubuntu.me/Lubuntu/pcmanfm-qt-packaging
Vcs-Git: https://git.lubuntu.me/Lubuntu/pcmanfm-qt-packaging.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/pcmanfm-qt
XS-Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/pcmanfm-qt.git
Homepage: https://github.com/lxqt/pcmanfm-qt
Rules-Requires-Root: no

Package: pcmanfm-qt
Architecture: any
Depends: default-dbus-session-bus | dbus-session-bus | dbus-x11,
         desktop-file-utils,
         libfm-qt13,
         lxqt-sudo,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: eject,
            ffmpegthumbnailer,
            gvfs-backends,
            gvfs-fuse,
            lximage-qt,
            lxqt-policykit,
            lxqt-qtplugin,
            papirus-icon-theme | breeze-icon-theme | faenza-icon-theme | oxygen-icon-theme,
            pcmanfm-qt-l10n
Suggests: cdtool [linux-any]
Description: extremely fast and lightweight file and desktop icon manager
 PCManFM-Qt is the Qt port of the LXDE file manager PCManFM.
 .
 Libfm-Qt is a companion library providing components to build desktop file
 managers.

Package: pcmanfm-qt-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: qttranslations5-l10n, ${misc:Depends}
Description: Language package for pcmanfm-qt
 PCManFM-Qt is the Qt port of the LXDE file manager PCManFM.
 .
 This package contains the l10n files needed by pcmanfm-qt.

## pcmanfm-qt 1.4.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,13 +8,13 @@
 
 # PcmanFm-Qt Version
 set(PCMANFM_QT_VERSION_MAJOR 1)
-set(PCMANFM_QT_VERSION_MINOR 3)
-set(PCMANFM_QT_VERSION_PATCH 0)
+set(PCMANFM_QT_VERSION_MINOR 4)
+set(PCMANFM_QT_VERSION_PATCH 1)
 
 set(PCMANFM_QT_VERSION ${PCMANFM_QT_VERSION_MAJOR}.${PCMANFM_QT_VERSION_MINOR}.${PCMANFM_QT_VERSION_PATCH})
 
 # Minimum versions
-set(LIBFMQT_MINIMUM_VERSION "1.3.0")
+set(LIBFMQT_MINIMUM_VERSION "1.4.0")
 set(LXQTBT_MINIMUM_VERSION "0.13.0")
 set(QT_MINIMUM_VERSION "5.15.0")
 
@@ -70,5 +70,10 @@
     install(DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/docs" DESTINATION "${CMAKE_INSTALL_DOCDIR}")
 endif()
 
+install(
+    FILES icons/pcmanfm-qt.svg
+    DESTINATION "${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/scalable/apps"
+)
+
 add_subdirectory(autostart)
 add_subdirectory(config)

=== pcmanfm/CMakeLists.txt ===
--- 
+++ 
@@ -35,7 +35,7 @@
 )
 
 # qt5_add_dbus_adaptor() already generated the moc files. It also marked the
-# files with SKIP_AUTOMOC but we still need to mark them witk SKIP_AUTOGEN.
+# files with SKIP_AUTOMOC but we still need to mark them with SKIP_AUTOGEN.
 # TODO: Check if this behaviour is a CMake bug.
 set_source_files_properties(${pcmanfm_DBUS_SRCS} PROPERTIES SKIP_AUTOGEN ON)

=== debian/changelog ===
pcmanfm-qt (1.4.1-0ubuntu6) noble; urgency=high

  * No change rebuild against libqt5core5t64, libqt5dbus5t64,
    libqt5gui5t64, libqt5widgets5t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:47:19 +0200

pcmanfm-qt (1.4.1-0ubuntu5) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 09:24:53 +0000

pcmanfm-qt (1.4.1-0ubuntu4) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 06:20:39 +0000

pcmanfm-qt (1.4.1-0ubuntu3) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 23:27:05 +0000

pcmanfm-qt (1.4.1-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 06:36:16 +0000

pcmanfm-qt (1.4.1-0ubuntu1) noble; urgency=medium

  * New upstream release.
  * Updated copyright file.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Sun, 18 Feb 2024 16:31:24 -0600

pcmanfm-qt (1.4.0-0ubuntu3) noble; urgency=medium

  * Update the Lubuntu Manual patch to use the dedicated icon.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 01 Dec 2023 14:54:31 -0600

pcmanfm-qt (1.4.0-0ubuntu2) noble; urgency=medium

  * Bump runtime dependency.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 13 Nov 2023 15:51:03 -0600

pcmanfm-qt (1.4.0-0ubuntu1) noble; urgency=medium

  * New upstream release.
  * Bump build dependencies.
  * Update Lubuntu Manual patch. Needs testing.
  * Install new SVG file.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 12 Nov 2023 21:27:52 -0600

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                libexif-dev,
-               libfm-qt-dev (>= 1.3.0),
+               libfm-qt-dev (>= 1.4.0),
                libkf5windowsystem-dev,
                libmenu-cache-dev,
                libqt5svg5-dev,
@@ -29,7 +29,7 @@
 Architecture: any
 Depends: default-dbus-session-bus | dbus-session-bus | dbus-x11,
          desktop-file-utils,
-         libfm-qt13,
+         libfm-qt14,
          lxqt-sudo,
          ${misc:Depends},
          ${shlibs:Depends}

=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE=1

export LC_ALL=C.UTF-8
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh ${@} --buildsystem cmake

override_dh_auto_configure:
	dh_auto_configure --\
		-DPULL_TRANSLATIONS=OFF\
		-DUPDATE_TRANSLATIONS=OFF\
		-DCMAKE_BUILD_TYPE=RelWithDebInfo

## pcmanfm-qt 2.0.0

=== debian/changelog ===
pcmanfm-qt (2.0.0-0ubuntu1) oracular; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.0, no changes necessary.
  * Adjust build dependencies.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Thu, 15 Aug 2024 16:27:12 -0500

=== debian/control ===
--- 
+++ 
@@ -9,15 +9,17 @@
 Section: x11
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
+               layer-shell-qt,
                libexif-dev,
-               libfm-qt-dev (>= 1.4.0),
-               libkf5windowsystem-dev,
+               libfm-qt6-dev (>= 2.0.0),
+               libkf6windowsystem-dev,
+               liblayershellqtinterface-dev,
                libmenu-cache-dev,
-               libqt5svg5-dev,
-               libqt5x11extras5-dev,
                libx11-dev,
-               lxqt-build-tools (>= 0.13.0)
-Standards-Version: 4.6.2
+               lxqt-build-tools (>= 2.0.0),
+               qt6-svg-dev,
+               qt6-wayland-dev
+Standards-Version: 4.7.0
 Vcs-Browser: https://git.lubuntu.me/Lubuntu/pcmanfm-qt-packaging
 Vcs-Git: https://git.lubuntu.me/Lubuntu/pcmanfm-qt-packaging.git
 XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/pcmanfm-qt
@@ -29,7 +31,7 @@
 Architecture: any
 Depends: default-dbus-session-bus | dbus-session-bus | dbus-x11,
          desktop-file-utils,
-         libfm-qt14,
+         libfm-qt6-14,
          lxqt-sudo,
          ${misc:Depends},
          ${shlibs:Depends}
@@ -53,7 +55,7 @@
 Architecture: all
 Multi-Arch: foreign
 Section: localization
-Depends: qttranslations5-l10n, ${misc:Depends}
+Depends: qt6-translations-l10n, ${misc:Depends}
 Description: Language package for pcmanfm-qt
  PCManFM-Qt is the Qt port of the LXDE file manager PCManFM.
  .

## pcmanfm-qt 2.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.1.0 FATAL_ERROR)
+cmake_minimum_required(VERSION 3.18.0 FATAL_ERROR)
 # CMP0000: Call the cmake_minimum_required() command at the beginning of the top-level
 # CMakeLists.txt file even before calling the project() command.
 # The cmake_minimum_required(VERSION) command implicitly invokes the cmake_policy(VERSION)
@@ -7,27 +7,28 @@
 project(pcmanfm-qt)
 
 # PcmanFm-Qt Version
-set(PCMANFM_QT_VERSION_MAJOR 1)
-set(PCMANFM_QT_VERSION_MINOR 4)
-set(PCMANFM_QT_VERSION_PATCH 1)
+set(PCMANFM_QT_VERSION_MAJOR 2)
+set(PCMANFM_QT_VERSION_MINOR 1)
+set(PCMANFM_QT_VERSION_PATCH 0)
 
 set(PCMANFM_QT_VERSION ${PCMANFM_QT_VERSION_MAJOR}.${PCMANFM_QT_VERSION_MINOR}.${PCMANFM_QT_VERSION_PATCH})
 
 # Minimum versions
-set(LIBFMQT_MINIMUM_VERSION "1.4.0")
-set(LXQTBT_MINIMUM_VERSION "0.13.0")
-set(QT_MINIMUM_VERSION "5.15.0")
+set(LIBFMQT_MINIMUM_VERSION "2.1.0")
+set(LXQTBT_MINIMUM_VERSION "2.1.0")
+set(QT_MINIMUM_VERSION "6.6.0")
+set(SHELLQT_MINIMUM_VERSION "6.0.0")
 
 list(APPEND CMAKE_MODULE_PATH "${PROJECT_SOURCE_DIR}/cmake")
 
-find_package(Qt5DBus ${QT_MINIMUM_VERSION} REQUIRED)
-find_package(Qt5LinguistTools ${QT_MINIMUM_VERSION} REQUIRED)
-find_package(Qt5Widgets ${QT_MINIMUM_VERSION} REQUIRED)
-find_package(Qt5X11Extras ${QT_MINIMUM_VERSION} REQUIRED)
-find_package(fm-qt ${LIBFMQT_MINIMUM_VERSION} REQUIRED)
-find_package(lxqt-build-tools ${LXQTBT_MINIMUM_VERSION} REQUIRED)
+find_package(Qt6DBus ${QT_MINIMUM_VERSION} REQUIRED)
+find_package(Qt6LinguistTools ${QT_MINIMUM_VERSION} REQUIRED)
+find_package(Qt6Widgets ${QT_MINIMUM_VERSION} REQUIRED)
+find_package(fm-qt6 ${LIBFMQT_MINIMUM_VERSION} REQUIRED)
+find_package(lxqt2-build-tools ${LXQTBT_MINIMUM_VERSION} REQUIRED)
+find_package(LayerShellQt ${SHELLQT_MINIMUM_VERSION} REQUIRED)
 
-message(STATUS "Building ${PROJECT_NAME} with Qt ${Qt5Core_VERSION}")
+message(STATUS "Building ${PROJECT_NAME} with Qt ${Qt6Core_VERSION}")
 
 option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
 include(GNUInstallDirs)

=== debian/changelog ===
pcmanfm-qt (2.1.0-2) unstable; urgency=medium

  * d/control: remove libfm-qt6-14 Depends (Closes: #1089171)

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 07 Dec 2024 01:05:30 +0800

pcmanfm-qt (2.1.0-1) unstable; urgency=medium

  * New upstream version 2.1.0

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Fri, 06 Dec 2024 05:16:35 +0800

pcmanfm-qt (2.0.0-1) unstable; urgency=medium

  * Upload to unstable.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Thu, 28 Nov 2024 21:22:56 +0100

pcmanfm-qt (2.0.0-1~exp1) experimental; urgency=medium

  [ Severus Septimius ]
  * New upstream release 2.0.0
  * debian/control: bump dep qttranslations5-l10n -> qt6-translations-l10n
  * debian/control: bump dep on lxqt-build-tools (>= 2.0.0+really2.0.0~)
  * debian/control: remove dep on libqt5x11extras5-dev
  * debian/control: bump dep on libqt5svg5-dev -> qt6-svg-dev
  * debian/control: bump dep on libkf5windowsystem-dev ->
    libkf6windowsystem-dev
  * debian/control: bump dep on libfm-qt-dev (>= 2.0.1~)
  * debian/control: bump dep on libfm-qt14 (>= 2.0.1~)
  * debian/control: bump dep on qttools5-dev -> qt6-tools-dev

  [ Andrew Lee (李健秋) ]
  * debian/salsa-ci.yml: build against to experimental.
  * debian/control: correctly depends on libfm-qt6-14.
  * debian/copyright: update.
  * debian/control: recommends on lxqt-qtplugin (>= 2.0.0~).
  * Run wrap-and-sort.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Tue, 01 Oct 2024 11:53:06 +0200

pcmanfm-qt (1.4.0-3) unstable; urgency=medium

  [ Macy Lin ]
  * debian/control: build-deps on qttools5-dev. (Closes:#1078306)
  * debian/control: bump to Standards-version to 4.7.0, no changes needed.
  * debian/copyright: added myself.

  [ Andrew Lee (李健秋) ]
  * Clean up of group membership after 2nd calls.
  * debian/copyright: update.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Wed, 11 Sep 2024 07:48:36 +0200

pcmanfm-qt (1.4.0-2) unstable; urgency=medium

  * Migrate to unstable.
  * d/copyright: Update copyright year.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Fri, 10 May 2024 08:28:20 +0800

pcmanfm-qt (1.4.0-1) experimental; urgency=medium

  * New upstream version 1.4.0
  * debian/control: build-deps on libfm-qt-dev (>= 1.4.0~).
  * debian/control: depends on libfm-qt14 due to soname bump.
  * debian/control: build-deps on libqt5svg5-dev (>= 5.15.0).
  * debian/control: build-deps on libqt5x11extras5-dev (>= 5.15.0).
  * debian/pcmanfm-qt.install: ship pcmanfm-qt.svg.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Thu, 14 Dec 2023 15:24:30 +0100

pcmanfm-qt (1.3.0-3) unstable; urgency=medium

  [ ChangZhuo Chen (陳昌倬) ]
  * debian/rules: Suppress blhc error by added ignore line-regexp.

  [ Andrew Lee (李健秋) ]
  * debian/patches/x-terminal-emulator.patch: uses x-terminal-emulator by
    default. (Closes: #1034067)

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Mon, 04 Sep 2023 16:08:14 +0200

pcmanfm-qt (1.3.0-2) unstable; urgency=medium

  * Merge to unstable.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Thu, 27 Jul 2023 09:37:19 +0800

pcmanfm-qt (1.3.0-1) experimental; urgency=medium

  [ ChangZhuo Chen (陳昌倬) ]
  * New upstream version 1.3.0
  * Change team email to <team+lxqt@tracker.debian.org>.

  [ Andrew Lee (李健秋) ]
  * debian/rules: Drop --fail-missing argument to dh_missing which is now
    default in debhelper 13.
  * debian/copyright: update.
  * debian/upstream/metadata: add Repository-Browse field.
  * debian/salsa-ci.yml: temporary run CI on experimental release without
    reprotes test.
  * debian/control: make pcmanfm-qt depends on libfm-qt13.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Wed, 05 Jul 2023 06:56:40 +0200

=== debian/control ===
Source: pcmanfm-qt
Maintainer: LXQt Packaging Team <team+lxqt@tracker.debian.org>
Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libexif-dev,
               libfm-qt-dev (>= 2.1.0~),
               libkf6windowsystem-dev,
               liblayershellqtinterface-dev (>= 6.0.0~),
               libmenu-cache-dev,
               libx11-dev,
               lxqt-build-tools (>= 2.1.0~),
               qt6-svg-dev,
               qt6-tools-dev
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/lxqt-team/pcmanfm-qt
Vcs-Git: https://salsa.debian.org/lxqt-team/pcmanfm-qt.git
Homepage: https://github.com/lxqt/pcmanfm-qt
Rules-Requires-Root: no

Package: pcmanfm-qt
Architecture: any
Depends: default-dbus-session-bus | dbus-session-bus | dbus-x11,
         desktop-file-utils,
         lxqt-sudo,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: eject,
            ffmpegthumbnailer,
            gvfs-backends,
            gvfs-fuse,
            lximage-qt,
            lxqt-policykit,
            lxqt-qtplugin (>= 2.0.0~),
            papirus-icon-theme | breeze-icon-theme | faenza-icon-theme | oxygen-icon-theme,
            pcmanfm-qt-l10n
Suggests: cdtool [linux-any]
Description: extremely fast and lightweight file and desktop icon manager
 PCManFM-Qt is the Qt port of the LXDE file manager PCManFM.
 .
 Libfm-Qt is a companion library providing components to build desktop file
 managers.

Package: pcmanfm-qt-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: qt6-translations-l10n, ${misc:Depends}
Description: Language package for pcmanfm-qt
 PCManFM-Qt is the Qt port of the LXDE file manager PCManFM.
 .
 This package contains the l10n files needed by pcmanfm-qt.

=== debian/watch ===
version=4

# See https://davesteele.github.io/development/2015/05/02/debian-watch-file-format-for-signed-github-source-tars/ for GitHub workaround for releases page.

opts="downloadurlmangle=s/archive\/refs\/tags\/@ANY_VERSION@@ARCHIVE_EXT@/releases\/download\/$1\/@PACKAGE@-$1\.tar\.xz/,pgpsigurlmangle=s/$/.asc/" \
https://github.com/lxqt/@PACKAGE@/tags .*/@ANY_VERSION@@ARCHIVE_EXT@

## pcmanfm-qt 2.2.0

=== autostart/CMakeLists.txt ===
file(GLOB DESKTOP_FILES_IN *.desktop.in)

# Translations **********************************
lxqt_translate_desktop(DESKTOP_FILES
    SOURCES
        ${DESKTOP_FILES_IN}
    USE_YAML
)
add_custom_target(autostart_desktop_files ALL DEPENDS ${DESKTOP_FILES})
#************************************************

install(FILES
    ${DESKTOP_FILES}
    DESTINATION "${LXQT_ETC_XDG_DIR}/autostart"
    COMPONENT Runtime
)

=== debian/changelog ===
pcmanfm-qt (2.2.0-1) unstable; urgency=medium

  * Migrate to unstable.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 23 Aug 2025 01:05:48 +0800

pcmanfm-qt (2.2.0-1~exp1) experimental; urgency=medium

  * New upstream version 2.2.0 (Closes: #1097561)
  * d/control: Bump Standards-Version to 4.7.2
  * d/control: Update Build-Depends
  * d/upstream: Fix signing-key.asc
  * d/copyright: Update copyright year

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Fri, 15 Aug 2025 08:09:21 +0800

=== debian/control ===
--- 
+++ 
@@ -6,15 +6,15 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                libexif-dev,
-               libfm-qt-dev (>= 2.1.0~),
+               libfm-qt-dev (>= 2.2.0+really2.2.0~),
                libkf6windowsystem-dev,
                liblayershellqtinterface-dev (>= 6.0.0~),
                libmenu-cache-dev,
                libx11-dev,
-               lxqt-build-tools (>= 2.1.0~),
+               lxqt-build-tools (>= 2.2.0~),
                qt6-svg-dev,
                qt6-tools-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/lxqt-team/pcmanfm-qt
 Vcs-Git: https://salsa.debian.org/lxqt-team/pcmanfm-qt.git
 Homepage: https://github.com/lxqt/pcmanfm-qt

## pcmanfm-qt 2.3.0

=== debian/changelog ===
pcmanfm-qt (2.3.0-1) unstable; urgency=medium

  * Merge to unstable.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Wed, 31 Dec 2025 18:10:28 +0800

pcmanfm-qt (2.3.0-1~exp1) experimental; urgency=medium

  * New upstream version 2.3.0.
  * d/control: Update Build-Depends.
  * d/control: Bump Standards-Version to 4.7.3:
    * Remove unnecessary Priority, and Rules-Requires-Root.
  * d/watch: Upgrade to version 5.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sun, 28 Dec 2025 17:42:51 +0800

=== debian/control ===
--- 
+++ 
@@ -3,22 +3,20 @@
 Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
            Andrew Lee (李健秋) <ajqlee@debian.org>
 Section: x11
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
                libexif-dev,
-               libfm-qt-dev (>= 2.2.0+really2.2.0~),
+               libfm-qt-dev (>= 2.3.0~),
                libkf6windowsystem-dev,
                liblayershellqtinterface-dev (>= 6.0.0~),
                libmenu-cache-dev,
                libx11-dev,
-               lxqt-build-tools (>= 2.2.0~),
+               lxqt-build-tools (>= 2.3.0~),
                qt6-svg-dev,
                qt6-tools-dev
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/lxqt-team/pcmanfm-qt
 Vcs-Git: https://salsa.debian.org/lxqt-team/pcmanfm-qt.git
 Homepage: https://github.com/lxqt/pcmanfm-qt
-Rules-Requires-Root: no
 
 Package: pcmanfm-qt
 Architecture: any
